--- title: "getDbServerLogList" slug: "database-vpostgresql-getdbserverloglist" updated: 2026-09-17T10:05:48Z published: 2026-09-17T10:05:48Z canonical: "api.ncloud-docs.com/database-vpostgresql-getdbserverloglist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getDbServerLogList Available in VPC Get the list of Cloud DB for PostgreSQL instance DB server logs. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vpostgresql/v2/getDbServerLogList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) request headers](/docs/en/database-vpostgresql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for PostgreSQL server instance to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `logType` | String | Required | DB server log file type - `POSTGRESQL_LOG` | | `cloudPostgresqlServerInstanceNo` | String | Required | Cloud DB for PostgreSQL server instance number - Check through [getCloudPostgresqlInstanceList](/docs/en/database-vpostgresql-getcloudpostgresqlinstancelist) | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize` - 0 (minimum) | | `pageSize` | Integer | Conditional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize` - Required when entering `pageNo` - 1 - 1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/getDbServerLogList ?regionCode=KR &logType=POSTGRESQL_LOG &cloudPostgresqlServerInstanceNo=****925' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudPostgresqlDbServerLogList](/docs/en/common-vapidatatype-cloudpostgresqldbserverloglist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) response status codes](/docs/en/database-vpostgresql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getDbServerLogListResponse": { "totalRows": 3, "cloudPostgresqlDbServerLogList": [ { "fileName": "postgresql-2024-06-04_000000.log", "fileSize": 0, "fileDate": "2024-06-04T00:00:00+0900" }, { "fileName": "postgresql-2024-06-03_105643.log", "fileSize": 6334, "fileDate": "2024-06-03T16:40:41+0900" }, { "fileName": "postgresql-2024-06-03_105640.log", "fileSize": 2318, "fileDate": "2024-06-03T10:56:41+0900" } ], "requestId": "93f8166d-****-****-****-12b2ad53630a", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 93f8166d-****-****-****-12b2ad53630a 0 success 3 postgresql-2024-06-04_000000.log 0 2024-06-04T00:00:00+0900 postgresql-2024-06-03_105643.log 6334 2024-06-03T16:40:41+0900 postgresql-2024-06-03_105640.log 2318 2024-06-03T10:56:41+0900 ```